%define name            jta
%define version         1.0.1b
%define cvs_version     1_0_1B
%define release         2jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         non-free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Java Transaction API
License:        Sun Binary Code License
URL:            http://java.sun.com/products/jta/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        %{name}-%{cvs_version}-classes.zip
Source1:        %{name}-%{cvs_version}-doc.zip
Source2:        %{name}.license.bz2
Source3:        %{name}.build.xml
NoSource:       0
NoSource:       1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  ant

%description
JTA specifies standard Java(tm) interfaces between a transaction manager
and the parties involved in a distributed transaction system: the
resource manager, the application server, and the transactional
applications.

%package javadoc
Summary:        Javadoc for Java Transaction API
Group:          Development/Documentation

%description javadoc
Javadoc for Java Transaction API.

%prep
%setup -c -T -D -a0 -a1
bzcat %{SOURCE2} > LICENSE
cp %{SOURCE3} ./build.xml

%build
ant -Djta.jar=%{name}-%{version}.jar

%install
rm -rf $RPM_BUILD_ROOT
# jars
mkdir -p $RPM_BUILD_ROOT%{javadir}
cp -p %{name}-%{version}.jar $RPM_BUILD_ROOT%{javadir}
(cd $RPM_BUILD_ROOT%{javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)
# javadoc
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-%{version}

%changelog
* Sun Dec 29 2002 Ville Skytt <ville.skytta at iki.fi> - 1.0.1b-2jpp
- Fix typo, add ant build requirement.

* Sun Dec 29 2002 Ville Skytt <ville.skytta at iki.fi> - 1.0.1b-1jpp
- Update to 1.0.1b.

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1a-4jpp
- vendor, distribution, group tags
- corrected doc files
- corrected line too long in description

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1a-3jpp 
- section macro
- nosrc package
- bzipped additional sources

* Tue Jan 22 2002 Henri Gomez <hgomez@slib.fr> 1.0.1a-2jpp
- added Sun Binary Code Licence

* Thu Jan 17 2002 Henri Gomez <hgomez@slib.fr> 1.0.1a-1jpp
- Initial release
